Debian GNU/Linux

Change log for “antlr” package in Debian

115 of 15 results
Published in jessie-release on 2013-05-06
Published in sid-release on 2013-04-25
antlr (2.7.7+dfsg-5) unstable; urgency=low


  * Team upload.
  * Updated the watch file (contributed by Bart Martens)
  * Bumped Standards-Version to 3.9.4 (no changes)
  * debian/copyright: Updated the Format URL
  * debian/copyright: Fixed a typo reported by Lintian
  * debian/copyright: Removed the GPL header

 -- Emmanuel Bourg <email address hidden>  Thu, 25 Apr 2013 10:13:14 +0200
Published in wheezy-release on 2012-02-06
Superseded in sid-release on 2013-04-26
antlr (2.7.7+dfsg-4) unstable; urgency=low


  * Rebuild for mono-transition.  (Closes: #656760)

 -- Niels Thykier <email address hidden>  Thu, 26 Jan 2012 16:05:41 +0100
Superseded in wheezy-release on 2012-02-06
Superseded in sid-release on 2012-01-27
antlr (2.7.7+dfsg-3) unstable; urgency=low


  * Team upload.
  * Build using dh_python2.

 -- Matthias Klose <email address hidden>  Sat, 17 Dec 2011 11:37:20 +0100
Superseded in wheezy-release on 2011-12-28
Superseded in sid-release on 2011-12-18
antlr (2.7.7+dfsg-2) unstable; urgency=low


  * Team upload.
  * Add build-arch target to debian/rules.

 -- Niels Thykier <email address hidden>  Thu, 10 Nov 2011 22:05:17 +0100
Superseded in wheezy-release on 2011-11-21
Superseded in sid-release on 2011-11-12
antlr (2.7.7+dfsg-1) unstable; urgency=low


  * Remove 2 non-free files from orig tarball. Thanks to Sam Geeraerts.
    (Closes: #643576)
  * Do no longer build packages cantlr and libantlr-java-gcj.

 -- Torsten Werner <email address hidden>  Thu, 29 Sep 2011 22:29:52 +0200
Superseded in wheezy-release on 2011-10-10
Superseded in sid-release on 2011-10-09
antlr (2.7.7-17) unstable; urgency=low
  * Team upload.  [ Niels Thykier ]  * Bumped Stands-Versions to 3.9.0.    - Added some missing Breaks.  * Removed Arnaud Vandyck, John Leuner and Barry Hawkins from    uploaders. Thanks for your work on this package.  * Replaced B-D on default-jdk-builddep with gcj-native-helper    and default-jdk.  [ tony mancill ]  * Bumped Stands-Versions to 3.9.2. (no changes)  * Update debian/copyright format to DEP-5.  * Remove cantlr Depends on gij. (Closes: #628380) -- tony mancill <email address hidden>  Mon, 30 May 2011 12:46:57 -0700

Available diffs

Superseded in wheezy-release on 2011-09-21
Published in squeeze-release on 2010-05-19
Superseded in sid-release on 2011-09-21
antlr (2.7.7-16) unstable; urgency=low


  * Team upload.
  * Removed java-gcj-compat-dev from Depends. It is not needed anymore.
    (Closes: #572164)
  * Corrected java depends to reflect the target version of the
    resulting class files.
  * Bumped Standards-Version to 3.8.4 - no changes required.
  * Added missing Replaces to python-antlr (Closes: #557876)
  * Bumped debhelper compat to 7.
  * Removed empty dir from the antlr package.
  * Converted source to 3.0 (quilt).
  * Registered antlr's documentation with doc-base.
  * Added description to gcc.diff and converted bin__antlr.diff's
    description to a DEP-3 like format.

 -- Niels Thykier <email address hidden>  Tue, 23 Mar 2010 11:16:02 +0100
Superseded in sid-release on 2011-09-21
antlr (2.7.7-15) unstable; urgency=low


  * Use mono-csc as $CSHARPC. (Closes: #571032)
  * Add missing ${cli:Depends} to libantlr2.7-cil.

 -- Torsten Werner <email address hidden>  Sun, 28 Feb 2010 18:51:11 +0100
Superseded in squeeze-release on 2011-09-13
Superseded in sid-release on 2011-09-21
antlr (2.7.7-14) unstable; urgency=low


  * Add debian/patches/antlr-cs-signing.patch to sign C# dlls
    (Closes: #540737).
  * Add debian/patches/antlr-config.patch to support --cxxflags
    for antlr-config (Closes: #523051).
  * Build-Depend on debhelper (>= 5) and cli-common-dev (>= 0.7).
  * Make sure DLLs in libantlr2.7-cli are not executable.
  * Moved source, libantlr-java and libantlr-java-gcj to section java.
  * Moved libantlr2.7-cil to section cli-mono.
  * Updated Standards-Version to 3.8.3.

 -- Michael Koch <email address hidden>  Mon, 07 Sep 2009 21:44:27 +0200
Superseded in squeeze-release on 2011-09-13
Superseded in sid-release on 2011-09-21
antlr (2.7.7-13) unstable; urgency=low


  * Upload to unstable.

 -- Torsten Werner <email address hidden>  Sun, 09 Aug 2009 09:58:42 +0200
Deleted in experimental-release (Reason: None provided.)
antlr (2.7.7-12) experimental; urgency=low


  * Bump standard version to 3.8.2 (no changes)
  * Add a Build-Depends-Indep dependency on maven-repo-helper
  * Add the Maven POM and deploy the jar in the Maven repository.
  * Set architecture to any for libantlr-dev (Closes: #505665)
  * Fix installation of changelog for cantlr and libantlt-dev packages

 -- Ludovic Claude <email address hidden>  Mon, 20 Jul 2009 23:06:06 +0100
Superseded in squeeze-release on 2011-09-13
Superseded in sid-release on 2011-09-21
antlr (2.7.7-11) unstable; urgency=low


  [ Jan Dittberner ]
  * add debian/patches/bin___antlr.diff, add it to debian/patches/series
    and make it replace bin/antlr (fixes lintian warning
    patch-system-but-direct-changes-in-diff)
  * debian/rules: remove unnecessary dh_pysupport for antlr package as
    Python code moved to python-antlr in 2.7.7-10
  * debian/control:
    - update Standards-Version to 3.8.0
    - add ${misc:Depends} to Depends of all binary packages (fixes
      lintian warnings debhelper-but-no-misc-depends)
  * debian/README.source: add information on how to use quilt

  [ Torsten Werner ]
  * Switch to mono-devel (aka transition to Mono 2.0). (Closes: #517560)

 -- Torsten Werner <email address hidden>  Sat, 28 Feb 2009 20:26:45 +0100
Superseded in squeeze-release on 2011-09-13
Published in lenny-release on 2009-01-28
Superseded in sid-release on 2011-09-21
antlr (2.7.7-10) unstable; urgency=low


  [ Torsten Werner ]
  * Add myself to Uploaders.
  * Convert changes to Charscanner.hpp to a patch file and improve this patch
    for gcc 4.4 thanks to Martin Michlmayr. (Closes: #505366)

  [ Jan Dittberner ]
  * Fix watch file. (Closes: #511862)
  * Create a separate package python-antlr. (Closes: #511306)
  * Add missing build-dependency java-gcj-compat-dev. (Closes: #511849)

  [ Asheesh Laroia ]
  * Fixed cantlr package to depend on libantlr-java-gcj rather than
    nonexistent antlr-gcj (finishing migration started in 2.7.7-8).
    (Closes: #504050)

 -- Torsten Werner <email address hidden>  Thu, 15 Jan 2009 20:37:44 +0100
Superseded in sid-release on 2011-09-21
antlr (2.7.7-9) unstable; urgency=low


  * libantlr-java{,-gcj}: Fix typos in dependencies.

 -- Matthias Klose <email address hidden>  Tue, 21 Oct 2008 01:08:32 +0200
Superseded in lenny-release on 2011-09-13
antlr (2.7.7-6) unstable; urgency=low


  * Made libantlr-cil arch:all, fixed debian/rules to build it only be
    building arch:all stuff and moved all the needed build dependencies to
    Build-Depends-Indep. Closes: 483558.

 -- Michael Koch <email address hidden>  Fri, 30 May 2008 21:24:44 +0200
115 of 15 results